Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.model
Class CallSourceManager

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.NamedInfo
          umontreal.iro.lecuyer.contactcenters.msk.model.CallSourceManager

Direct Known Subclasses:
  ArrivalProcessManager, DialerManager

    public class CallSourceManager

extends NamedInfo

Represents information concerning a call source, i.e., an arrival process or a dialer.

Constructor Summary
`CallSourceManager(CallCenter cc, CallSourceParams par)` Constructs a new call source information object with the given call center and call source parameters.

Method Summary
`double[]` | `getSourceToggleTimes()` Returns the source toggle times.
`boolean` | `isSourceEnabled()` Returns `true` if the concerned call source is enabled, i.e., if it produces calls.
`void` | `setSourceToggleTimes(double[] sourceToggleTimes)`

Methods inherited from class umontreal.iro.lecuyer.xmlbind.NamedInfo
`getName, getProperties, getStringProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallSourceManager

    public CallSourceManager(CallCenter cc,
                             CallSourceParams par)

  Constructs a new call source information object with the given call center and call source parameters.

  Parameters:
    `cc` - the call center model.
    `par` - the call source parameters.

Method Detail

### isSourceEnabled

    public boolean isSourceEnabled()

  Returns `true` if the concerned call source is enabled, i.e., if it produces calls.

  Returns:
    the status of the managed call source.

### getSourceToggleTimes

    public double[] getSourceToggleTimes()

  Returns the source toggle times. This array contains an even number of simulation times, each value representing a starting or stopping time.

  Returns:
    the source toggle times.

### setSourceToggleTimes

    public void setSourceToggleTimes(double[] sourceToggleTimes)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.